Recent

Author Topic: installation warning  (Read 2245 times)

GetMem

  • Hero Member
  • *****
  • Posts: 3750
Re: installation warning
« Reply #30 on: May 24, 2022, 11:43:32 am »
@systems

Quote
How can we test, when will the install file be updated?
I can confirm that the file i download around 4 days ago lazarus-2.2.2-fpc-3.2.2-win64.exe, still installs version 1.0.2
The installer will be only updated on the next major release. You can still test the binaries with Lazarus main/trunk. OPM will download the dlls when needed.

marcov

  • Administrator
  • Hero Member
  • *
  • Posts: 10075
  • FPC developer.
Re: installation warning
« Reply #31 on: May 24, 2022, 11:52:59 am »
Why do these DLLs need to be installed globally?

GetMem

  • Hero Member
  • *****
  • Posts: 3750
Re: installation warning
« Reply #32 on: May 24, 2022, 12:41:08 pm »
@marcov
Quote
Why do these DLLs need to be installed globally?
No need for global install, at least not for OPM. It's just an option/possibility,  in my opinion we should uncheck it by default.

PascalDragon

  • Hero Member
  • *****
  • Posts: 4127
  • Compiler Developer
Re: installation warning
« Reply #33 on: May 24, 2022, 01:23:06 pm »
@marcov
Quote
Why do these DLLs need to be installed globally?
No need for global install, at least not for OPM. It's just an option/possibility,  in my opinion we should uncheck it by default.

Considering that I uncheck them each and every time I install Lazarus I'd welcome this...

dsiders

  • Hero Member
  • *****
  • Posts: 649
Re: installation warning
« Reply #34 on: May 24, 2022, 03:38:48 pm »
@marcov
Quote
Why do these DLLs need to be installed globally?
No need for global install, at least not for OPM. It's just an option/possibility,  in my opinion we should uncheck it by default.

Considering that I uncheck them each and every time I install Lazarus I'd welcome this...

And given that I already have a system-wide install, I delete the DLL files when the installer is done.
Lazarus 2.0.12, 2.2.0, 2.2.2, 2.3.0 (Git) / FPC 3.2.0, 3.2.2, 3.3.1 / x86 64-bit / Windows 8.1
Preview Lazarus 2.3.0 documentation at: https://dsiders.gitlab.io/lazdocsnext

systems

  • New Member
  • *
  • Posts: 18
Re: installation warning
« Reply #35 on: May 24, 2022, 05:37:18 pm »
@systems

Quote
How can we test, when will the install file be updated?
I can confirm that the file i download around 4 days ago lazarus-2.2.2-fpc-3.2.2-win64.exe, still installs version 1.0.2
The installer will be only updated on the next major release. You can still test the binaries with Lazarus main/trunk. OPM will download the dlls when needed.

How do i test or trigger this, do i remove the old DLLs and install any package in OPM ?

Martin_fr

  • Administrator
  • Hero Member
  • *
  • Posts: 7946
  • Debugger - SynEdit - and more
    • wiki
Re: installation warning
« Reply #36 on: May 24, 2022, 06:08:57 pm »
The installer will be only updated on the next major release. You can still test the binaries with Lazarus main/trunk. OPM will download the dlls when needed.

How do i test or trigger this, do i remove the old DLLs and install any package in OPM ?

Afaik, OPM in the released version will also stick do downloading the old dll.
https://gitlab.com/freepascal.org/lazarus/lazarus/-/commit/4460f173ca442eb8a1473d73461007dd3bd9ab8a

I have no idea, if the current release will be able to recognize, load and use the newer dll.
But the above commit has changes in how it deals with ssl....




Thaddy

  • Hero Member
  • *****
  • Posts: 11623
Re: installation warning
« Reply #37 on: May 24, 2022, 07:26:43 pm »
I have no idea, if the current release will be able to recognize, load and use the newer dll.
But the above commit has changes in how it deals with ssl....
No problem with fpc 3.2.0 and openssl 1.1.1 latest, at least on Windows and Debian derivatives on different architectures.
« Last Edit: May 24, 2022, 07:28:17 pm by Thaddy »
Black themes should be banned.

 

TinyPortal © 2005-2018